//
//  CLBTableViewSection.h
//  CLBTableViewSection
//
//  Created by Philipp Steinacher on 31.11.11.
//

#import <Foundation/Foundation.h>

@interface CLBTableViewSection : NSObject {
    NSString *title;
    
    NSMutableArray *cellHeights;
    NSMutableArray *cellBlocks;
    NSMutableArray *cellSelectionBlocks;
    
    BOOL showIdentifierAsHeadline;
}

@property (nonatomic, strong) NSString *title;
@property (nonatomic, strong) NSMutableArray *cellHeights;
@property (nonatomic, strong) NSMutableArray *cellBlocks;
@property (nonatomic, strong) NSMutableArray *cellSelectionBlocks;
@property (nonatomic, assign) BOOL showIdentifierAsHeadline;

- (id)initWithTitle:(NSString *)t;

- (void)registerRowWithBlock:(UITableViewCell *(^)(UITableView *tableView))block andHeight:(NSInteger)height;
- (void)registerRowAtIndex:(NSInteger)index 
                 withBlock:(UITableViewCell *(^)(UITableView *tableView))block 
                    height:(NSInteger)height 
         andSelectionBlock:(void (^)(void))selectionBlock;

- (NSString *)title;
- (NSInteger)numberOfRows;
- (NSInteger)cellHeightForIndex:(NSInteger)index;
- (UITableViewCell *)cellForRow:(NSInteger)rowIndex inTableView:(UITableView *)tableView;
- (void)didSelectCellAtRow:(NSInteger)row;


@end
