//
//  CLBViewController.m
//  CLBTableViewSectionController
//
//  Created by Philipp Steinacher on 28.01.12.
//  Copyright (c) 2012 Uberblic Labs GmbH. All rights reserved.
//

#import "CLBViewController.h"

@implementation CLBViewController
@synthesize table;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

#pragma mark - CLBTableViewSectionController setup

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    tableViewController = [[CLBTableViewSectionController alloc] initWithTableView:table];
    
    [table setDelegate:tableViewController];
    [table setDataSource:tableViewController];
    
    CLBTableViewSection *section = [[CLBTableViewSection alloc] initWithTitle:@"Title"];
    
    [section registerRowWithBlock:^UITableViewCell *(UITableView *tableView) {
        UITableViewCell *staticTestCell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"Test"];
        
        [staticTestCell.textLabel setText:@"Test Cell One"];
        
        return staticTestCell;
    } andHeight:60];
    
    [tableViewController addSection:section withIdentifier:@"TestSection"];
}

- (void)viewDidUnload
{
    table = nil;
    [super viewDidUnload];
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

@end
